<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/PortTwoPinsEnable.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('PortTwoPinsEnable_8hpp_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">PortTwoPinsEnable.hpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#ifndef __PortTwoPinsEnable_H__</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#define __PortTwoPinsEnable_H__</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;PortTwoPins.hpp&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00011"></a><span class="lineno"><a class="line" href="classPortTwoPinsEnable.html">   11</a></span>&#160;<span class="keyword">class </span><a class="code" href="classPortTwoPinsEnable.html">PortTwoPinsEnable</a> : <span class="keyword">public</span> <a class="code" href="classPortTwoPins.html">PortTwoPins</a></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;{</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;    <span class="keyword">protected</span>:</div><div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="classPortTwoPinsEnable.html#a560e6f9d7b54f819406f24a7c89049dd">   18</a></span>&#160;        <span class="keywordtype">int</span> <a class="code" href="classPortTwoPinsEnable.html#a560e6f9d7b54f819406f24a7c89049dd">pinEnable</a>;</div><div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="classPortTwoPinsEnable.html#ab8879570799f73285dbf4f845afadd02">   22</a></span>&#160;        PIN_TYPE <a class="code" href="classPortTwoPinsEnable.html#ab8879570799f73285dbf4f845afadd02">pinTypeEnable</a>;</div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;    <span class="keyword">public</span>:</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;        <a class="code" href="classPortTwoPinsEnable.html#a53730544356887941615c2dcecc47a15">PortTwoPinsEnable</a>();</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;        </div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classPort.html#a110847fdec661d0e94a3a22edd9fe32a">begin</a>(<span class="keywordtype">int</span> inPinA, <span class="keywordtype">int</span> inPinB, PIN_TYPE inType, <span class="keywordtype">int</span> inPinEnable, PIN_TYPE inTypeEnable);</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;        </div><div class="line"><a name="l00040"></a><span class="lineno"><a class="line" href="classPortTwoPinsEnable.html#ab5ba0378a63752f7112deca595be19df">   40</a></span>&#160;        <span class="keyword">inline</span> <span class="keywordtype">int</span> <a class="code" href="classPortTwoPinsEnable.html#ab5ba0378a63752f7112deca595be19df">GetPinEnable</a>()<span class="keyword"> const </span>{ <span class="keywordflow">if</span> (<a class="code" href="classPort.html#ad7ef0d65cab5721a7e2d9b2a71663eef">pinType</a> &lt; ANALOG) <span class="keywordflow">return</span> GPIO_to_Arduino_pin((GPIO_pin_t)this-&gt;pinEnable); <span class="keywordflow">return</span> this-&gt;<a class="code" href="classPortTwoPinsEnable.html#a560e6f9d7b54f819406f24a7c89049dd">pinEnable</a>; }</div><div class="line"><a name="l00044"></a><span class="lineno"><a class="line" href="classPortTwoPinsEnable.html#a8e47ea6e52c7c770c2daa9fff262d397">   44</a></span>&#160;        <span class="keyword">inline</span> GPIO_pin_t <a class="code" href="classPortTwoPinsEnable.html#a8e47ea6e52c7c770c2daa9fff262d397">GetDIOPinEnable</a>()<span class="keyword"> const </span>{ <span class="keywordflow">if</span> (<a class="code" href="classPort.html#ad7ef0d65cab5721a7e2d9b2a71663eef">pinType</a> &lt; ANALOG) <span class="keywordflow">return</span> (GPIO_pin_t)this-&gt;<a class="code" href="classPortTwoPinsEnable.html#a560e6f9d7b54f819406f24a7c89049dd">pinEnable</a>; <span class="keywordflow">return</span> DP_INVALID; }</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classPortTwoPinsEnable.html#a2b424834184dbc468976ee24ef11a25d">MoveLeftDir</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDuration = 0);</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classPortTwoPinsEnable.html#a4a5631811961b21f0167e6defca53aa7">MoveRightDir</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inDuration = 0);</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;        <span class="keywordtype">void</span> <a class="code" href="classPortTwoPinsEnable.html#afd93143e4445f5751d3cd504e76ebc2f">MoveStop</a>();</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="preprocessor">#ifdef ACCESSORIES_PRINT_ACCESSORIES</span></div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;        <span class="keywordtype">void</span> printPort();</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        <span class="keywordtype">void</span> Move(<span class="keywordtype">int</span> inValA, <span class="keywordtype">int</span> inValB, <span class="keywordtype">int</span> inValEnable);</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;};</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;<span class="comment">//-------------------------------------------------------------------</span></div><div class="ttc" id="classPortTwoPinsEnable_html_afd93143e4445f5751d3cd504e76ebc2f"><div class="ttname"><a href="classPortTwoPinsEnable.html#afd93143e4445f5751d3cd504e76ebc2f">PortTwoPinsEnable::MoveStop</a></div><div class="ttdeci">void MoveStop()</div><div class="ttdef"><b>Definition:</b> <a href="PortTwoPinsEnable_8cpp_source.html#l00081">PortTwoPinsEnable.cpp:81</a></div></div>
<div class="ttc" id="classPortTwoPinsEnable_html_a4a5631811961b21f0167e6defca53aa7"><div class="ttname"><a href="classPortTwoPinsEnable.html#a4a5631811961b21f0167e6defca53aa7">PortTwoPinsEnable::MoveRightDir</a></div><div class="ttdeci">void MoveRightDir(unsigned long inDuration = 0)</div><div class="ttdef"><b>Definition:</b> <a href="PortTwoPinsEnable_8cpp_source.html#l00052">PortTwoPinsEnable.cpp:52</a></div></div>
<div class="ttc" id="classPortTwoPinsEnable_html_a2b424834184dbc468976ee24ef11a25d"><div class="ttname"><a href="classPortTwoPinsEnable.html#a2b424834184dbc468976ee24ef11a25d">PortTwoPinsEnable::MoveLeftDir</a></div><div class="ttdeci">void MoveLeftDir(unsigned long inDuration = 0)</div><div class="ttdef"><b>Definition:</b> <a href="PortTwoPinsEnable_8cpp_source.html#l00023">PortTwoPinsEnable.cpp:23</a></div></div>
<div class="ttc" id="classPortTwoPinsEnable_html_a8e47ea6e52c7c770c2daa9fff262d397"><div class="ttname"><a href="classPortTwoPinsEnable.html#a8e47ea6e52c7c770c2daa9fff262d397">PortTwoPinsEnable::GetDIOPinEnable</a></div><div class="ttdeci">GPIO_pin_t GetDIOPinEnable() const </div><div class="ttdef"><b>Definition:</b> <a href="PortTwoPinsEnable_8hpp_source.html#l00044">PortTwoPinsEnable.hpp:44</a></div></div>
<div class="ttc" id="classPort_html_ad7ef0d65cab5721a7e2d9b2a71663eef"><div class="ttname"><a href="classPort.html#ad7ef0d65cab5721a7e2d9b2a71663eef">Port::pinType</a></div><div class="ttdeci">PIN_TYPE pinType</div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00065">Port.hpp:65</a></div></div>
<div class="ttc" id="classPortTwoPinsEnable_html_ab5ba0378a63752f7112deca595be19df"><div class="ttname"><a href="classPortTwoPinsEnable.html#ab5ba0378a63752f7112deca595be19df">PortTwoPinsEnable::GetPinEnable</a></div><div class="ttdeci">int GetPinEnable() const </div><div class="ttdef"><b>Definition:</b> <a href="PortTwoPinsEnable_8hpp_source.html#l00040">PortTwoPinsEnable.hpp:40</a></div></div>
<div class="ttc" id="classPort_html_a110847fdec661d0e94a3a22edd9fe32a"><div class="ttname"><a href="classPort.html#a110847fdec661d0e94a3a22edd9fe32a">Port::begin</a></div><div class="ttdeci">virtual void begin()</div><div class="ttdef"><b>Definition:</b> <a href="Port_8hpp_source.html#l00099">Port.hpp:99</a></div></div>
<div class="ttc" id="classPortTwoPinsEnable_html_a53730544356887941615c2dcecc47a15"><div class="ttname"><a href="classPortTwoPinsEnable.html#a53730544356887941615c2dcecc47a15">PortTwoPinsEnable::PortTwoPinsEnable</a></div><div class="ttdeci">PortTwoPinsEnable()</div><div class="ttdef"><b>Definition:</b> <a href="PortTwoPinsEnable_8cpp_source.html#l00009">PortTwoPinsEnable.cpp:9</a></div></div>
<div class="ttc" id="classPortTwoPinsEnable_html_ab8879570799f73285dbf4f845afadd02"><div class="ttname"><a href="classPortTwoPinsEnable.html#ab8879570799f73285dbf4f845afadd02">PortTwoPinsEnable::pinTypeEnable</a></div><div class="ttdeci">PIN_TYPE pinTypeEnable</div><div class="ttdef"><b>Definition:</b> <a href="PortTwoPinsEnable_8hpp_source.html#l00022">PortTwoPinsEnable.hpp:22</a></div></div>
<div class="ttc" id="classPortTwoPinsEnable_html_a560e6f9d7b54f819406f24a7c89049dd"><div class="ttname"><a href="classPortTwoPinsEnable.html#a560e6f9d7b54f819406f24a7c89049dd">PortTwoPinsEnable::pinEnable</a></div><div class="ttdeci">int pinEnable</div><div class="ttdef"><b>Definition:</b> <a href="PortTwoPinsEnable_8hpp_source.html#l00018">PortTwoPinsEnable.hpp:18</a></div></div>
<div class="ttc" id="classPortTwoPins_html"><div class="ttname"><a href="classPortTwoPins.html">PortTwoPins</a></div><div class="ttdef"><b>Definition:</b> <a href="PortTwoPins_8hpp_source.html#l00010">PortTwoPins.hpp:10</a></div></div>
<div class="ttc" id="classPortTwoPinsEnable_html"><div class="ttname"><a href="classPortTwoPinsEnable.html">PortTwoPinsEnable</a></div><div class="ttdef"><b>Definition:</b> <a href="PortTwoPinsEnable_8hpp_source.html#l00011">PortTwoPinsEnable.hpp:11</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>PortTwoPinsEnable.hpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
